#perl -w
#
# This is a perl script to run all the input files in a directory.
# this IS NOT the main auto run script that happens every night 
# that is autorun.pl
#
# It is designed to be executed from the directory where the input files live.
# The string "$exe" must be modified to point to your executable version
# of cloudy.

# after all the models are run the "checkall.pl" script can be run
# to check that everything went ok

# if there is already an exe file in this dir, back it up before
# bringing in a new one, in case we need to run the old models
if(-e "trunk.exe" )
{
   system("copy \"trunk.exe\" \"cloudy_bak.exe\" ");
}

# the path to the executable version of the code

#$exe = "c:/projects/cloudy/trunk/icl/release/cloudy_icl.exe";
#$exe = "c:/projects/cloudy/trunk/source/sys_icl/cloudy.exe";

#$exe = "c:/Projects/Cloudy/trunk/debug/trunk.exe";
$exe = "c:/projects/cloudy/trunk/release/trunk.exe";

#$exe = "c:/Projects/Cloudy/trunk/vs08/debug/vs08.exe";
#$exe = "c:/projects/cloudy/trunk/vs08/release/vs08.exe";

#$exe = "c:/projects/cloudy/newmole/debug/newmole.exe";
#$exe = "c:/projects/cloudy/newmole/icl/release/cloudy_icl.exe";

#$exe = "c:/projects/cloudy/trunk/gcc/release/cloudy_gcc.exe";
#$exe = "c:/projects/cloudy/trunk/source/sys_gcc/cloudy.exe";

# count total number of sims we compute
$nMod = 0;

# sets number to skip - will start tests after skipping the first
# nSkip in alphabetical order.  set to 0 to so all sims
$nSkip = 0;

# total number to do, usually much larger than the total
# to do them all
$nLimit = 700;

# loop over the *.in files
# and runs the test, producinig the *.out files
while ( defined( $input = glob("*.in") ) )
{
	if ( $nMod>=$nSkip  && $nMod < $nLimit )
	{
		print( "$input going to " );
		$output = $input;
		$output =~ s/\.in//gi;
		if( -e "$output".".out" )
		{
			rename( "$output".".out" , "$output".".bak" );
		}
		$out = "$output".".out";
		print("$output\n");
		# actually execute the code, first uses nice
#		system "nice -n 5 $exe < $input  > $out";
		system "$exe < $input  > $out";
	}
	++$nMod;
}

print("\n=========================\n");
printf( "\n %i simulations were computed, and %i were skipped.\n ",$nMod,$nSkip);
print("Now use the checkall.pl script to check results.\n");
print("=========================\n");
