#!usr/bin/perl -w
# This progarm reads in the names of all the program files 
# in the file run_programs.da, compiles and links them, then runs the tests

# 1 for gcc, 0 for icc
$UseGcc = 0; # icl - a special case
$UseGcc = 1; # g++

# location of source files
$DirSource  = "../../../source/";

if( $UseGcc )
{
	# object tfiles for gcc
	$DirObject  = "../../../source/sys_gcc";
}
else
{
	$DirObject  = "..\\..\\..\\icl\\release\\\\";
}

#Assigning a variable to 'runsome.dat'
$rsome='run_programs.dat';

#opening 'run_programs.dat'
open(RSOM,"$rsome") or die "could not open $rsome \n";

# read the program names that are to be executed, each is in a directory of the same name
while($r=<RSOM>)
{
   # check is beginning of line (^) is not a word
   if( $r !~/^\W/ )
   {
     $r=~s/\n//;  #removing any newline characters
     chdir( $r ) or die "could not change to $r \n";
     # compile the program
     print "Compiling $r\n";
     if( $UseGcc )
     {
	system( "g++  $r.cpp -I \"$DirSource\" \"$DirObject\"/*.o  -lm  ");
	$exec = "a.exe" ;
     }
     else
     {
	system( "icl  $r.cpp /I\"$DirSource\" \"$DirObject\"*.obj  ");
	$exec = "$r.exe" ;
     }
     print "done.\n now execute $exec \n";
     system( "$exec");
     chdir( ".." ) or die "could not return home \n";
   }
}
close(RSOM);


 

